InvalidTargetObjectTypeException (Java SE 25 & JDK 25)
Description: declaration: module: java.management, package: javax.management.modelmbean, class: InvalidTargetObjectTypeException
Keywords: javax.management.modelmbean.InvalidTargetObjectTypeException class

# Class InvalidTargetObjectTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.modelmbean.InvalidTargetObjectTypeException

All Implemented Interfaces:
  `Serializable`

public class InvalidTargetObjectTypeException extends Exception
Exception thrown when an invalid target object type is specified.

The serialVersionUID of this class is `1190536278266811217L`.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidTargetObjectTypeException()`
  Default constructor.
  `InvalidTargetObjectTypeException(Exception e, String s)`
  Constructor taking an exception and a string.
  `InvalidTargetObjectTypeException(String s)`
  Constructor from a string.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException()
    Default constructor.

  - ### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException(String s)
    Constructor from a string.
    Parameters:
      `s` - String value that will be incorporated in the message for this exception.

  - ### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException(Exception e, String s)
    Constructor taking an exception and a string.
    Parameters:
      `e` - Exception that we may have caught to reissue as an InvalidTargetObjectTypeException. The message will be used, and we may want to consider overriding the printStackTrace() methods to get data pointing back to original throw stack.
      `s` - String value that will be incorporated in message for this exception.